Subject: Re: [lojban] LALR1 question

From: "Robert J. Chassell" <[email-masked]>
Date: Mon, 27 Aug 2001 23:33:36 +0000 (UTC)

LR(k) and LL(k) (for all k) grammars are also unambiguous.

Like Robert McIvor, I, too, was under the impression that 20 years ago
people were not sure whether the LR(k) parsers were truly unambiguous.
That is when the relevant grammar choices were made (1970s, early
1980s).

The only tool that generated confidence was YACC, which had only
recently been developed. If I remember rightly, it worked only with
LALR(1) grammars. YACC could not handle the Loglan grammer directly,
but required a preproccessor that might not have been unambiguous
itself.

I could well be wrong, but that is what I remember.

Also, very practically, no one in the project had fast machines back
then.

-- 
Robert J. Chassell [email-masked]
Rattlesnake Enterprises http://www.rattlesnake.com